### Constant

# Gimp MODULE_ABI_VERSION

#### Declaration

    #define GIMP_MODULE_ABI_VERSION 5

#### Description

The version of the module system’s ABI. Modules put this value into `GimpModuleInfo`‘s `abi_version` field so the code loading the modules can check if it was compiled against the same module ABI the modules are compiled against.

GIMP_MODULE_ABI_VERSION is incremented each time one of the following changes:

- the libgimpmodule implementation (if the change affects modules).

- one of the classes implemented by modules (currently `GimpColorDisplay`, `GimpColorSelector` and `GimpController`).